Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 29 Jul 2014, 03:20
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
Firefox 18.0 not works in Racy 5.3.90
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [9 Posts]  
Author Message
hikohan

Joined: 29 Nov 2011
Posts: 17

PostPosted: Mon 21 Jan 2013, 05:09    Post subject:  Firefox 18.0 not works in Racy 5.3.90  

firefox 18.0 && seamonkey 2.13.1 both starup fault with same
error messages as followed:


Quote:
sh-3.00# mkdir ff18
sh-3.00# cd ff18
sh-3.00# tar jxf ../firefox-18.0.tar.bz2
sh-3.00# ls
firefox
sh-3.00# cd firefox/
sh-3.00# ./firefox
XPCOMGlueLoad error for file /initrd/mnt/dev_save/tmp/ff18/firefox/libxpcom.so:
/usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /usr/lib/libxul.so)
Couldn't load XPCOM.


sh-3.00# seamonkey --version
XPCOMGlueLoad error for file /usr/lib/seamonkey-2.13.1/libxpcom.so:
/usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /usr/lib/libxul.so)
Couldn't load XPCOM.


After update hunspell to 1.3 by source compile, but it seems
upgrade glibc version to 2.15 later is necessary.

Thanks for your notice on the post.
Back to top
View user's profile Send private message 
p310don

Joined: 19 May 2009
Posts: 689
Location: Brisbane, Australia

PostPosted: Mon 21 Jan 2013, 05:40    Post subject:  

I can confirm this problem also happens in Saluki.

I was able to download firefox 17 and delete the 18 files and replace with 17's files. Make sure you do a backup of /root/.mozilla first so you keep your bookmarks etc.

18 does work in Lucid however.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 507

PostPosted: Mon 21 Jan 2013, 05:52    Post subject: wary and racy and new mozilla softwares  

See:

http://www.murga-linux.com/puppy/viewtopic.php?t=77303&start=202

Direct link to download glibc update:

http://packages.debian.org/squeeze/i386/libc6/download

Perhaps you'll need update jwm, too. Work-in-progress.
It works but it is not so fast. I choose to mantain firefox 17.0.1.
For wary 5.3 I have compiled a jwm update:
jwm-590-w53.pet
Description 
pet

 Download 
Filename  jwm-590-w53.pet 
Filesize  80.73 KB 
Downloaded  176 Time(s) 
Back to top
View user's profile Send private message 
hikohan

Joined: 29 Nov 2011
Posts: 17

PostPosted: Mon 21 Jan 2013, 06:03    Post subject: great thanks!!  

Thanks for your help!! I'll follow the link and upgrade glibc test.

Very Happy THANKS FOR YOUR HELP!! Very Happy
Back to top
View user's profile Send private message 
Flash
Official Dog Handler


Joined: 04 May 2005
Posts: 10937
Location: Arizona USA

PostPosted: Mon 21 Jan 2013, 09:48    Post subject:  

Hikohan, please tell us if that fixes your problem (with some details!) Smile
Back to top
View user's profile Send private message 
hikohan

Joined: 29 Nov 2011
Posts: 17

PostPosted: Mon 21 Jan 2013, 22:12    Post subject:  glibc upgrade for firefox 18.0
Subject description: seems GTK locale error??
 

wget http://distro.ibiblio.org/puppylinux/pet_packages-4/dpkg-deb-1.14.20.pet

petget dpkg-deb-1.14.20.pet

wget http://ftp.tw.debian.org/debian/pool/main/e/eglibc/libc6_2.11.3-4_i386.deb

dpkg-deb -x libc6_2.11.3-4_i386.deb /

ff18 works after above steps, SCIM also works.

but... After reboot, the firefox can't starup, so I excute concole mode then run:

# geany
Launching a SCIM daemon with Socket FrontEnd...
Loading simple Config module ...
Creating backend ...
Segmentation fault


# leafpad

(process:3790): Gtk-WARNING **: Locale not supported by C library.
Using the fallback 'C' locale.
Launching a SCIM daemon with Socket FrontEnd...
Loading simple Config module ...
Creating backend ...
Segmentation fault

so I change my locale to C instead of zh_TW.UTF-8

# export LANG=C
# export LC_ALL=C

and run them again, ALL programs works, includes SCIM.

seems one more fix to go..... Wink

Very Happy Thanks for your kindness and help!! Very Happy
Back to top
View user's profile Send private message 
hikohan

Joined: 29 Nov 2011
Posts: 17

PostPosted: Mon 21 Jan 2013, 23:54    Post subject: Startup script includes SCIM in frontend mode.  

before GTK file fix, append a SCIM startup script in Startup folder scim-load like:

Code:
#!/bin/sh

export LANG=C

export XMODIFIERS="@im=SCIM"
export GTK_IM_MODULE="scim"
export XIM_PROGRAM="scim -d"
ls /tmp/scim-helper-manager-socket* &>/dev/null || /usr/bin/scim -d
 
scim &


SCIM run in C locale, interface is English. but all works almost
like before.

another way is set locale in C directly, but I need SCIM and chinese interface more.

Thanks for your notice on this thread!! Wink
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 507

PostPosted: Tue 22 Jan 2013, 02:03    Post subject: New Mozilla browser best choice in wary and racy  

Report my testing. I have found that on my hardware (desktop AMD Sempron 512 Mb RAM integrated SIS graphics) and in wary 5.3 the best choice is to use Seamonkey 2.15.1 which doen't need glibc upgrade: it need only jwm upgrade with the pet above. Without jwm upgrade I have reproduced X crashes and possible corruption of savefile. Firefox 18.0 (probably 18.0.1, too) needs glibc upgrade.
Back to top
View user's profile Send private message 
hikohan

Joined: 29 Nov 2011
Posts: 17

PostPosted: Wed 23 Jan 2013, 22:17    Post subject: firefox 18.0 runs smoothly with SCIM in PRECISE 5.4.3
Subject description: locale fix steps
 

I'd try PRECISE 5.4.3 for RACY 5.3.90 upgrade.

1. download PRECISE ISO then pick out files to HDD as usual.
2. copy saved SFS to PRECISE folder but name as 'precisesave.2fs'
(original file is racysave.2fs, 2fs or 3fs depends on yours.)
3. bootup and wait X displays as usual. but the SCIM not works.

Previously I wrote, set the locale to C and run a bootup
script make SCIM run as daemon mode works, but follow
steps make it eaiser as defualt SCIM default works.

in console prompt, type:
"localedef -i zh_TW -f UTF-8 zh_TW"

Append new locales to PRECISE. then everything works perfect
as RACY usual does.

Enjoy Puppy Linux!!!
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [9 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0616s ][ Queries: 12 (0.0048s) ][ GZIP on ]